#! /bin/sh
# genopkg.sh
# Writes a simple shell script that simulates commands of opkg used by
# opkhelper.  This is useful to break the circular dependency in which building
# source packages requires opkhelper and opkhelper depends on opkg already being
# installed.

if [ ${#} -ne 2 ]; then
	printf 'Usage: %s platform architecture\n' "${0}"
	exit 1
fi
platform=${1}
arch=${2}

cat > /usr/local/bin/opkg <<EOF
#! /bin/sh

case "\${1}" in
	status)
		printf 'Package: %s\n' "\${2}"
		;;
	print-architecture)
		cat <<EOO
arch all 100
arch ${platform} 200
arch ${arch} 300
EOO
		;;
esac
EOF
